osgUtil::EdgeCollector::Edgeloop Struct Reference

`#include <EdgeCollector>`

Inheritance diagram for osgUtil::EdgeCollector::Edgeloop:

## Public Types

typedef std::vector< osg::ref_ptr< Edge > > | EdgeList

## Public Member Functions

bool | isClosed ()
osg::UIntArray * | toIndexArray () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

EdgeList | _edgeList

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## EdgeList

typedef std::vector<osg::ref_ptr<Edge> > osgUtil::EdgeCollector::Edgeloop::EdgeList

## Member Function Documentation

## isClosed()

bool osgUtil::EdgeCollector::Edgeloop::isClosed | ( |  | ) |

inline

References _edgeList.

## toIndexArray()

osg::UIntArray * osgUtil::EdgeCollector::Edgeloop::toIndexArray | ( |  | ) | const

## Member Data Documentation

## _edgeList

EdgeList osgUtil::EdgeCollector::Edgeloop::_edgeList

Referenced by isClosed().

The documentation for this struct was generated from the following file:

- EdgeCollector